Company Shareholders
curl --request POST \
--url https://api.reportify.cn/v1/stock/company-shareholders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"type": "<string>",
"limit": 123
}
'import requests
url = "https://api.reportify.cn/v1/stock/company-shareholders"
payload = {
"symbol": "<string>",
"type": "<string>",
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: '<string>', type: '<string>', limit: 123})
};
fetch('https://api.reportify.cn/v1/stock/company-shareholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"code": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}公司信息
Company Shareholders
List of outstanding shareholders of the company
POST
/
v1
/
stock
/
company-shareholders
Company Shareholders
公司股东
URL:/v1/stock/company-shareholders
方法: POST描述: 获取公司股东信息列表。
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| symbol | str | 是 | 股票代码。 |
| type | str | 否 | 类型:shareholders 或 outstanding_shareholders。 |
| limit | int | 否 | 返回数量限制,默认 10。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| status | int | HTTP 状态码。 |
| code | int | 响应代码(0 表示成功)。 |
| message | str | 响应消息。 |
| data | object | 股东数据。 |
| items | array | 股东列表。 |
| name | str | 股东名称。 |
| holdings | int | 持股数量。 |
| percent | number | 持股比例。 |
| date | str | 数据日期。 |
请求示例
cURLcurl -X POST https://api.reportify.cn/v1/stock/company-shareholders \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
"symbol": "00700",
"limit": 5
}'
import requests
url = "https://api.reportify.cn/v1/stock/company-shareholders"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
data = {
"symbol": "00700",
"limit": 5
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
响应示例
{
"status": 200,
"code": 0,
"message": "",
"data": {
"items": [
{
"date": "2020-06-12",
"name": "马化腾",
"holdings": 804859700,
"percent": 0.0842
},
{
"date": "2025-07-25",
"name": "Naspers Limited",
"holdings": 2105253100,
"percent": 0.2299
}
]
}
}
错误响应
| 状态码 | 描述 |
|---|---|
| 422 | 请求参数验证失败。 |
Authorizations
Enter your Bearer token
Body
application/json
⌘I
